Package net.shibboleth.idp.profile

# Class LogRuntimeException

java.lang.Object
net.shibboleth.idp.profile.LogRuntimeException

public class LogRuntimeException extends Object
Dedicated bean used to log flow exceptions, to get around issues with Spring Expressions referencing class objects under certain conditions that are so far not understood.

## Constructor Summary

Constructors
Constructor
Description
`LogRuntimeException()`

## Method Summary

Modifier and Type
Method
Description
`void`
`log(String category, Exception e)`
Log a message about the caught exception to a particular category.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LogRuntimeException

public LogRuntimeException()

## Method Details

### log

public void log(@Nonnull @NotEmpty String category, @Nonnull Exception e)
Log a message about the caught exception to a particular category.

Parameters:
  `category` - category to log under
  `e` - exception to log